# MxDataType Enumeration

Namespace: `ArchestrA.Toolkit`

**Syntax**

```csharp
enum MxDataType
{
MxDataTypeUnknown = -1,
MxNoData = 0,
MxBoolean = 1,
MxInteger = 2,
MxFloat = 3,
MxDouble = 4,
MxString = 5,
MxTime = 6,
MxElapsedTime = 7,
MxReferenceType = 8,
MxStatusType = 9,
MxDataTypeEnum = 10,
MxSecurityClassificationEnum = 11,
MxDataQualityType = 12,
MxQualifiedEnum = 13,
MxQualifiedStruct = 14,
MxInternationalizedString = 15,
MxBigString = 16,
MxDataTypeEND = 17,
}
```

**Remarks**

Indicates the datatype of an attribute.
